<?php

namespace App\Model;

use Doctrine\Common\Collections\Collection;

class RestaurantFilterVariants
{
    /**
     * @var Collection<RestaurantType>
     */
    private Collection $type;
    /**
     * @var Collection<KitchenType>
     */
    private Collection $kitchen;

    public function __construct(Collection $type, Collection $kitchen)
    {
        $this->type = $type;
        $this->kitchen = $kitchen;
    }

    public function getType(): Collection
    {
        return $this->type;
    }

    public function getKitchen(): Collection
    {
        return $this->kitchen;
    }
}