<?php

namespace App\Model;

use phpDocumentor\Reflection\Types\Collection;

class Tag
{
    private string $name;
    /**
     * @var Collection<string>
     */
    private Collection $list;

    public function __construct(string $name, Collection $list)
    {
        $this->name = $name;
        $this->list = $list;
    }

    public function getName(): string
    {
        return $this->name;
    }

    public function getList(): Collection
    {
        return $this->list;
    }
}